Skip to content
POST/{organizationId}/{mandateId}/booking/resources/{resourceId}/getAvailableStock

Get available stock

Returns the available stock for a specific resource for a given mandate

Required permissions:

  • mandate.read

  • resource.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
resourceIdstringrequired

Request Body required

Content-Type: application/json

siteIdstringrequired

maxItems: 100

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/resources/{resourceId}/getAvailableStock
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/resources/{resourceId}/getAvailableStock' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "siteId": "string",
  "dates": [
    {
      "from": "2026-06-15T22:30:00Z",
      "to": "2026-06-15T22:30:00Z"
    }
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
[
  "notAvailable"
]

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}